summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script')
-rw-r--r--source4/script/installswat.sh7
-rwxr-xr-xsource4/script/tests/selftest.sh1
2 files changed, 8 insertions, 0 deletions
diff --git a/source4/script/installswat.sh b/source4/script/installswat.sh
index 1d89c2e86c..05245d8f06 100644
--- a/source4/script/installswat.sh
+++ b/source4/script/installswat.sh
@@ -2,6 +2,7 @@
SWATDIR=$1
SRCDIR=$2
+LIBDIR=$3
echo Installing swat files in $SWATDIR
@@ -26,6 +27,12 @@ installdir scripting/*.ejs scripting/*.esp scripting/*.js
installdir style/*.css
installdir docs/*.js
+
+echo "Installing js libs"
+cd ../source/scripting || exit 1
+mkdir -p $LIBDIR/js
+cp libjs/*.js $LIBDIR/js
+
cat << EOF
======================================================================
The swat files have been installed.
diff --git a/source4/script/tests/selftest.sh b/source4/script/tests/selftest.sh
index 2993b0590e..5e94ea13e2 100755
--- a/source4/script/tests/selftest.sh
+++ b/source4/script/tests/selftest.sh
@@ -68,6 +68,7 @@ cat >$CONFFILE<<EOF
pid directory = $PIDDIR
ncalrpc dir = $NCALRPCDIR
lock dir = $LOCKDIR
+ js include = $LIBDIR/js
name resolve order = bcast
interfaces = lo*